Name:           maven-changes-plugin
Version:        2.8
Release:        %mkrel 3
Summary:        Plugin to support reporting of changes between releases

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/%{name}
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Source1:        %{name}.depmap

BuildArch:      noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: apache-commons-collections
BuildRequires: jakarta-commons-httpclient
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: apache-commons-logging
BuildRequires: maven
BuildRequires: maven-project
BuildRequires: maven-plugin-annotations
BuildRequires: maven-doxia-sitetools
BuildRequires: maven-install-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-shared-filtering
BuildRequires: maven-shared-reporting-api
BuildRequires: maven-shared-reporting-impl
BuildRequires: modello
BuildRequires: plexus-containers-container-default
BuildRequires: plexus-containers-component-metadata
BuildRequires: plexus-mail-sender
BuildRequires: plexus-i18n
BuildRequires: plexus-interpolation
BuildRequires: plexus-utils
BuildRequires: plexus-velocity
BuildRequires: xmlrpc-client
BuildRequires: xmlrpc-common
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: velocity
BuildRequires: velocity-tools

Requires: java
Requires: jpackage-utils
Requires: apache-commons-collections
Requires: jakarta-commons-httpclient
Requires: apache-commons-io
Requires: apache-commons-lang
Requires: apache-commons-logging
Requires: maven
Requires: maven-project
Requires: maven-doxia-sitetools
Requires: maven-shared-filtering
Requires: maven-shared-reporting-api
Requires: maven-shared-reporting-impl
Requires: plexus-containers-container-default
Requires: plexus-i18n
Requires: plexus-interpolation
Requires: plexus-mail-sender
Requires: plexus-utils
Requires: plexus-velocity
Requires: xmlrpc-client
Requires: xmlrpc-common
Requires: xerces-j2
Requires: xml-commons-apis
Requires: velocity
Requires: velocity-tools

Obsoletes: maven2-plugin-changes <= 0:2.0.8
Provides: maven2-plugin-changes = 1:%{version}-%{release}

%description
This plugin is used to inform your users of the changes that have
occurred between different releases of your project. The plugin can
extract these changes, either from a changes.xml file or from the JIRA
issue management system, and present them as a report. You also have
the option of creating a release announcement and even sending this
via email to your users.


%package javadoc
Group:    Development/Java
Summary:  Javadoc for %{name}
Requires: jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q

# Javamail is provided by JDK
%pom_remove_dep :geronimo-javamail_1.4_mail
%pom_remove_dep :geronimo-javamail_1.4_provider
%pom_remove_dep :geronimo-javamail_1.4_spec

# Fix Maven 3 compatibility
%pom_add_dep org.apache.maven:maven-compat

# Disable github module as we don't have dependencies
rm -rf src/main/java/org/apache/maven/plugin/github
%pom_remove_dep org.apache.httpcomponents:
%pom_remove_dep org.eclipse.mylyn.github:

%build
mvn-rpmbuild -e \
        -Dmaven.local.depmap.file=%{SOURCE1} \
        -Dmaven.test.skip=true \
        install javadoc:aggregate

%install
install -d -m 755 %{buildroot}%{_javadir}
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}

install -p -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -p -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap

cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc LICENSE NOTICE
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Fri Jan 18 2013 dmorgan <dmorgan> 2.8-3.mga3
+ Revision: 389259
- Adapt to new xmlrpc name
- Update to upstream version 2.8
- Convert patches to POM macros
- Install LICENSE and NOTICE files
- Remove rpm bug workaround

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 2.7.1-1.mga3
+ Revision: 292311
- New version

* Sun Jul 24 2011 dmorgan <dmorgan> 2.6-2.mga2
+ Revision: 128154
- Migration from plexus-maven-plugin to plexus-containers-component-metadata
- Add missing patch
- Update to latest upstream (2.6)
- Properly complete BR/R
- Fix maven3 compatibility

* Wed Jul 20 2011 dmorgan <dmorgan> 2.5-2.mga2
+ Revision: 127089
- Do not require maven2, require maven.

* Wed Jul 20 2011 dmorgan <dmorgan> 2.5-1.mga2
+ Revision: 127088
- New version 2.5

* Thu Apr 28 2011 dmorgan <dmorgan> 2.4-2.mga1
+ Revision: 92691
- Rebuild after bootstrapping
- imported package maven-changes-plugin


* Fri Mar  4 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.4-1
- Update to latest upsteam (2.4)
- Build with maven 3
- Versionless jars & javadocs

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.3-1
- Initial package
